Batch Scrape
Batch Scrape API endpoint — 2 credits per call.
Crawl & mapLong-running: consider /v1/jobs
POST/v1/batch-scrape/2 credits / URL
curl -X POST https://api.hushsearch.io/v1/batch-scrape/ \
-H "X-API-Key: hs_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"urls": [
"https://example.com/",
"https://www.iana.org/"
],
"formats": [
"markdown"
]
}'Scrape up to 20 URLs in a single call. Charged 2 credits per URL (e.g. 10 URLs = 20 credits).
curl -X POST https://api.hushsearch.io/v1/batch-scrape/ \
-H "X-API-Key: hs_live_..." \
-d '{"urls":["https://example.com","https://arxiv.org/abs/2401.00001"],"formats":["markdown"]}'| Parameter | Type | Default | Description |
|---|---|---|---|
urls | string[] | required | Up to 20 URLs |
formats | string[] | ["markdown"] | markdown, html, text |
timeout | integer | 15 | Per-URL timeout in seconds |